=== modified file '_base/query.js'
--- _base/query.js	2009-11-20 00:06:47 +0000
+++ _base/query.js	2009-11-20 15:08:05 +0000
@@ -1,85 +1,3 @@
-//>>excludeStart("webkitMobile", kwArgs.webkitMobile);
-if(typeof dojo != "undefined"){
-//>>excludeEnd("webkitMobile");
-	dojo.provide("dojo._base.query");
-	dojo.require("dojo._base.NodeList");
-	dojo.require("dojo._base.lang");
-
-//>>excludeStart("acmeExclude", fileName.indexOf("dojo") != -1);
-
-}else if(!this["acme"] && !this["queryPortability"]){
-	// NOTE: 
-	//		the functions and properties are duplicates of things found
-	//		elsewhere in Dojo. They've been copied here to make query.js a
-	//		stand-alone system.  The "acmeExclude" ensures that it *never*
-	//		shows up in builds of Dojo.
-	(function(){
-		// a self-sufficient query impl
-		acme = {
-			trim: function(/*String*/ str){
-				// summary:
-				//		trims whitespaces from both sides of the string
-				str = str.replace(/^\s+/, '');
-				for(var i = str.length - 1; i >= 0; i--){
-					if(/\S/.test(str.charAt(i))){
-						str = str.substring(0, i + 1);
-						break;
-					}
-				}
-				return str;	// String
-			},
-			forEach: function(/*String*/ arr, /*Function*/ callback, /*Object?*/ thisObject){
-				//	summary:
-				// 		an iterator function that passes items, indexes,
-				// 		and the array to a callback
-				if(!arr || !arr.length){ return; }
-				for(var i=0,l=arr.length; i<l; ++i){ 
-					callback.call(thisObject||window, arr[i], i, arr);
-				}
-			},
-			byId: function(id, doc){
-				// 	summary:
-				//		a function that return an element by ID, but also
-				//		accepts nodes safely
-				if(typeof id == "string"){
-					return (doc||document).getElementById(id); // DomNode
-				}else{
-					return id; // DomNode
-				}
-			},
-			// the default document to search
-			doc: document,
-			// the constructor for node list objects returned from query()
-			NodeList: Array
-		};
-
-		// define acme.isIE, acme.isSafari, acme.isOpera, etc.
-		var n = navigator;
-		var dua = n.userAgent;
-		var dav = n.appVersion;
-		var tv = parseFloat(dav);
-		acme.isOpera = (dua.indexOf("Opera") >= 0) ? tv: undefined;
-		acme.isKhtml = (dav.indexOf("Konqueror") >= 0) ? tv : undefined;
-		acme.isWebKit = parseFloat(dua.split("WebKit/")[1]) || undefined;
-		acme.isChrome = parseFloat(dua.split("Chrome/")[1]) || undefined;
-		var index = Math.max(dav.indexOf("WebKit"), dav.indexOf("Safari"), 0);
-		if(index && !acme.isChrome){
-			acme.isSafari = parseFloat(dav.split("Version/")[1]);
-			if(!acme.isSafari || parseFloat(dav.substr(index + 7)) <= 419.3){
-				acme.isSafari = 2;
-			}
-		}
-		if(document.all && !acme.isOpera){
-			acme.isIE = parseFloat(dav.split("MSIE ")[1]) || undefined;
-		}
-
-		Array._wrap = function(arr){ return arr; };
-	})();
-
-//>>excludeEnd("acmeExclude");
-//>>excludeStart("webkitMobile", kwArgs.webkitMobile);
-}
-
 /*
 	dojo.query() architectural overview:
 
@@ -112,7 +30,7 @@
 			5.) matched nodes are pruned to ensure they are unique (if necessary)
 */
 
-;(function(d){
+var queryFunction = function(d){
 	// define everything in a closure for compressability reasons. "d" is an
 	// alias to "dojo" (or the toolkit alias object, e.g., "acme").
 
@@ -1582,8 +1500,88 @@
 		}
 		return tmpNodeList;
 	}
-})(this["queryPortability"]||this["acme"]||dojo);
-//>>excludeEnd("webkitMobile");
+};
+var acme;
+if(typeof dojo != "undefined"){
+	dojo.module(
+		"dojo._base.query",
+		"dojo._base.NodeList",
+		function(){
+			queryFunction(dojo);
+		}
+	);
+}else if(!acme && !this.queryPortability){
+	// NOTE: 
+	//		the functions and properties are duplicates of things found
+	//		elsewhere in Dojo. They've been copied here to make query.js a
+	//		stand-alone system.  The "acmeExclude" ensures that it *never*
+	//		shows up in builds of Dojo.
+	(function(){
+		// a self-sufficient query impl
+		acme = {
+			trim: function(/*String*/ str){
+				// summary:
+				//		trims whitespaces from both sides of the string
+				str = str.replace(/^\s+/, '');
+				for(var i = str.length - 1; i >= 0; i--){
+					if(/\S/.test(str.charAt(i))){
+						str = str.substring(0, i + 1);
+						break;
+					}
+				}
+				return str;	// String
+			},
+			forEach: function(/*String*/ arr, /*Function*/ callback, /*Object?*/ thisObject){
+				//	summary:
+				// 		an iterator function that passes items, indexes,
+				// 		and the array to a callback
+				if(!arr || !arr.length){ return; }
+				for(var i=0,l=arr.length; i<l; ++i){ 
+					callback.call(thisObject||window, arr[i], i, arr);
+				}
+			},
+			byId: function(id, doc){
+				// 	summary:
+				//		a function that return an element by ID, but also
+				//		accepts nodes safely
+				if(typeof id == "string"){
+					return (doc||document).getElementById(id); // DomNode
+				}else{
+					return id; // DomNode
+				}
+			},
+			// the default document to search
+			doc: document,
+			// the constructor for node list objects returned from query()
+			NodeList: Array
+		};
+
+		// define acme.isIE, acme.isSafari, acme.isOpera, etc.
+		var n = navigator;
+		var dua = n.userAgent;
+		var dav = n.appVersion;
+		var tv = parseFloat(dav);
+		acme.isOpera = (dua.indexOf("Opera") >= 0) ? tv: undefined;
+		acme.isKhtml = (dav.indexOf("Konqueror") >= 0) ? tv : undefined;
+		acme.isWebKit = parseFloat(dua.split("WebKit/")[1]) || undefined;
+		acme.isChrome = parseFloat(dua.split("Chrome/")[1]) || undefined;
+		var index = Math.max(dav.indexOf("WebKit"), dav.indexOf("Safari"), 0);
+		if(index && !acme.isChrome){
+			acme.isSafari = parseFloat(dav.split("Version/")[1]);
+			if(!acme.isSafari || parseFloat(dav.substr(index + 7)) <= 419.3){
+				acme.isSafari = 2;
+			}
+		}
+		if(document.all && !acme.isOpera){
+			acme.isIE = parseFloat(dav.split("MSIE ")[1]) || undefined;
+		}
+
+		Array._wrap = function(arr){ return arr; };
+	})();
+
+	queryFunction(this.queryPortability||this.acme);
+
+}
 
 //>>excludeStart("webkitMobile", kwArgs.webkitMobile);
 /*

=== modified file '_base/window.js'
--- _base/window.js	2009-10-06 14:51:18 +0000
+++ _base/window.js	2009-11-20 15:08:05 +0000
@@ -1,5 +1,6 @@
-dojo.provide("dojo._base.window");
-
+dojo.module(
+	"dojo._base.window",
+	function(){
 /*=====
 dojo.doc = {
 	// summary:
@@ -94,4 +95,5 @@
 		dojo.isQuirks = oldQ;
 	}
 };
-	
+	}
+);

=== modified file '_base/xhr.js'
--- _base/xhr.js	2009-11-07 23:53:54 +0000
+++ _base/xhr.js	2009-11-20 15:08:05 +0000
@@ -1,12 +1,7 @@
-dojo.provide("dojo._base.xhr");
-dojo.require("dojo._base.Deferred");
-dojo.require("dojo._base.json");
-dojo.require("dojo._base.lang");
-dojo.require("dojo._base.query");
-
-//>>excludeStart("webkitMobile", kwArgs.webkitMobile);
-(function(){
-//>>excludeEnd("webkitMobile");
+dojo.module(
+	"dojo._base.xhr",
+	["dojo._base.Deferred", "dojo._base.json", "dojo._base.lang", "dojo._base.query"],
+	function(){
 	var _d = dojo, cfg = _d.config;
 
 	function setValue(/*Object*/obj, /*String*/name, /*String*/value){
@@ -933,6 +928,5 @@
 		throw new Error("dojo.wrapForm not yet implemented");
 	}
 	*/
-//>>excludeStart("webkitMobile", kwArgs.webkitMobile);
-})();
-//>>excludeEnd("webkitMobile");
+	}
+);

=== modified file '_firebug/firebug.js'
--- _firebug/firebug.js	2009-11-09 04:12:49 +0000
+++ _firebug/firebug.js	2009-11-20 15:08:05 +0000
@@ -1,4 +1,4 @@
-dojo.provide("dojo._firebug.firebug");
+dojo.module("dojo._firebug.firebug", function(){
 	
 dojo.deprecated = function(/*String*/ behaviour, /*String?*/ extra, /*String?*/ removal){
 	// summary: 
@@ -61,9 +61,6 @@
 	//		|	var djConfig = {isDebug: true, debugHeight:100 }
 
 
-
-(function(){
-
 	var isNewIE = (/Trident/.test(window.navigator.userAgent));
 	if(isNewIE){
 		// Fixing IE's console
@@ -1211,5 +1208,5 @@
 	});
 }
 
-})();
+});
 

=== modified file 'back.js'
--- back.js	2009-09-15 19:50:37 +0000
+++ back.js	2009-11-20 15:08:05 +0000
@@ -1,15 +1,12 @@
-dojo.provide("dojo.back");
-
 /*=====
 dojo.back = {
 	// summary: Browser history management resources
 }
 =====*/
 
-
-(function(){ 
-	var back = dojo.back;
-
+dojo.module(
+	"dojo.back",
+	function(back){
 	// everyone deals with encoding the hash slightly differently
 
 	function getHash(){ 
@@ -103,11 +100,11 @@
 		//summary: private method. Do not call this directly.
 		var url = (dojo.config["dojoIframeHistoryUrl"] || dojo.moduleUrl("dojo", "resources/iframe_history.html")) + "?" + (new Date()).getTime();
 		moveForward = true;
-        if(historyIframe){
-		    dojo.isWebKit ? historyIframe.location = url : window.frames[historyIframe.name].location = url;
-        }else{
-            //console.warn("dojo.back: Not initialised. You need to call dojo.back.init() from a <script> block that lives inside the <body> tag.");
-        }
+		if(historyIframe){
+			dojo.isWebKit ? historyIframe.location = url : window.frames[historyIframe.name].location = url;
+		}else{
+			//console.warn("dojo.back: Not initialised. You need to call dojo.back.init() from a <script> block that lives inside the <body> tag.");
+		}
 		return url; //String
 	}
 
@@ -162,8 +159,8 @@
 		var src = dojo.config["dojoIframeHistoryUrl"] || dojo.moduleUrl("dojo", "resources/iframe_history.html");
 		if (dojo._postLoad) {
 			console.error("dojo.back.init() must be called before the DOM has loaded. "
-			            + "If using xdomain loading or djConfig.debugAtAllCosts, include dojo.back "
-			            + "in a build layer.");
+						+ "If using xdomain loading or djConfig.debugAtAllCosts, include dojo.back "
+						+ "in a build layer.");
 		} else {
 			document.write('<iframe style="border:0;width:1px;height:1px;position:absolute;visibility:hidden;bottom:0;right:0;" name="dj_history" id="dj_history" src="' + src + '"></iframe>');
 		}
@@ -223,7 +220,7 @@
 		//		not evaluate to false, that value will be used as the fragment identifier. For example,
 		//		if changeUrl: 'page1', then the URL will look like: http://some.domain.com/path#page1
 		//
-	 	//	example:
+		//	example:
 		//		|	dojo.back.addToHistory({
 		//		|		back: function(){ console.log('back pressed'); },
 		//		|		forward: function(){ console.log('forward pressed'); },
@@ -389,4 +386,5 @@
 			handleForwardButton();
 		}
 	};
- })();
+	}
+);

=== modified file 'behavior.js'
--- behavior.js	2009-02-10 04:36:25 +0000
+++ behavior.js	2009-11-20 15:08:05 +0000
@@ -1,5 +1,6 @@
-dojo.provide("dojo.behavior");
-
+dojo.module(
+	"dojo.behavior",
+	function(){
 dojo.behavior = new function(){
 	// summary: 
 	//		Utility for unobtrusive/progressive event binding, DOM traversal,
@@ -237,3 +238,5 @@
 }
 
 dojo.addOnLoad(dojo.behavior, "apply");
+	}
+);

=== modified file 'cache.js'
--- cache.js	2009-10-13 14:06:10 +0000
+++ cache.js	2009-11-20 15:08:05 +0000
@@ -1,5 +1,3 @@
-dojo.provide("dojo.cache");
-
 /*=====
 dojo.cache = { 
 	// summary:
@@ -7,7 +5,9 @@
 };
 =====*/
 
-(function(){
+dojo.module(
+	"dojo.cache",
+	function(){
 	var cache = {};
 	dojo.cache = function(/*String||Object*/module, /*String*/url, /*String||Object?*/value){
 		// summary:
@@ -114,4 +114,5 @@
 		}
 		return val; //String
 	};
-})();
+	}
+);

=== modified file 'cldr/monetary.js'
--- cldr/monetary.js	2008-03-04 01:39:28 +0000
+++ cldr/monetary.js	2009-11-20 15:08:05 +0000
@@ -1,6 +1,6 @@
-dojo.provide("dojo.cldr.monetary");
+dojo.module("dojo.cldr.monetary", function(monetary){
 
-dojo.cldr.monetary.getData = function(/*String*/code){
+monetary.getData = function(/*String*/code){
 // summary: A mapping of currency code to currency-specific formatting information. Returns a unique object with properties: places, round.
 // code: an [ISO 4217](http://en.wikipedia.org/wiki/ISO_4217) currency code
 
@@ -21,3 +21,5 @@
 
 	return {places: places, round: round}; // Object
 };
+
+});

=== modified file 'cldr/supplemental.js'
--- cldr/supplemental.js	2008-07-07 20:47:43 +0000
+++ cldr/supplemental.js	2009-11-20 15:08:05 +0000
@@ -1,6 +1,4 @@
-dojo.provide("dojo.cldr.supplemental");
-
-dojo.require("dojo.i18n");
+dojo.module("dojo.cldr.supplemental", "dojo.i18n", function(){
 
 dojo.cldr.supplemental.getFirstDayOfWeek = function(/*String?*/locale){
 // summary: Returns a zero-based index for first day of the week
@@ -68,3 +66,5 @@
 	if(end === undefined){end=0;}
 	return {start:start, end:end}; /*Object {start,end}*/
 };
+
+});

=== modified file 'colors.js'
--- colors.js	2008-12-26 12:39:42 +0000
+++ colors.js	2009-11-20 15:08:05 +0000
@@ -1,5 +1,3 @@
-dojo.provide("dojo.colors");
-
 //TODO: this module appears to break naming conventions
 
 /*=====
@@ -8,7 +6,9 @@
 }
 =====*/
 
-(function(){
+dojo.module(
+	"dojo.colors",
+	function(){
 	// this is a standard conversion prescribed by the CSS3 Color Module
 	var hue2rgb = function(m1, m2, h){
 		if(h < 0){ ++h; }
@@ -80,8 +80,6 @@
 		t.a = confine(t.a, 0, 1);
 		return this;	// dojo.Color
 	};
-})();
-
 
 dojo.colors.makeGrey = function(/*Number*/ g, /*Number?*/ a){
 	// summary: creates a greyscale color with an optional alpha
@@ -223,3 +221,5 @@
 	whitesmoke:	[245,245,245],
 	yellowgreen:	[154,205,50]
 });
+	}
+);

=== modified file 'cookie.js'
--- cookie.js	2008-04-30 13:09:53 +0000
+++ cookie.js	2009-11-20 15:08:05 +0000
@@ -1,7 +1,7 @@
-dojo.provide("dojo.cookie");
-
-dojo.require("dojo.regexp");
-
+dojo.module(
+	"dojo.cookie",
+	"dojo.regexp",
+	function(){
 /*=====
 dojo.__cookieProps = function(){
 	//	expires: Date|String|Number?
@@ -53,7 +53,7 @@
 		return matches ? decodeURIComponent(matches[1]) : undefined; // String or undefined
 	}else{
 		props = props || {};
-// FIXME: expires=0 seems to disappear right away, not on close? (FF3)  Change docs?
+		// FIXME: expires=0 seems to disappear right away, not on close? (FF3)  Change docs?
 		var exp = props.expires;
 		if(typeof exp == "number"){ 
 			var d = new Date();
@@ -89,3 +89,5 @@
 	}
 	return navigator.cookieEnabled;
 };
+	}
+);

=== modified file 'currency.js'
--- currency.js	2008-03-07 04:26:31 +0000
+++ currency.js	2009-11-20 15:08:05 +0000
@@ -1,9 +1,6 @@
-dojo.provide("dojo.currency");
+dojo.module("dojo.currency", ["dojo.number", "dojo.i18n", "dojo.cldr.monetary"], function(currency){
 
-dojo.require("dojo.number");
-dojo.require("dojo.i18n");
 dojo.requireLocalization("dojo.cldr", "currency");
-dojo.require("dojo.cldr.monetary");
 
 /*=====
 dojo.currency = {
@@ -91,3 +88,5 @@
 
 	return dojo.number.parse(expression, dojo.currency._mixInDefaults(options));
 }
+
+});

=== modified file 'data/ItemFileReadStore.js'
--- data/ItemFileReadStore.js	2009-10-07 19:32:22 +0000
+++ data/ItemFileReadStore.js	2009-11-20 15:08:05 +0000
@@ -1,8 +1,4 @@
-dojo.provide("dojo.data.ItemFileReadStore");
-
-dojo.require("dojo.data.util.filter");
-dojo.require("dojo.data.util.simpleFetch");
-dojo.require("dojo.date.stamp");
+dojo.module("dojo.data.ItemFileReadStore", ["dojo.data.util.filter", "dojo.data.util.simpleFetch", "dojo.date.stamp"], function(){
 
 dojo.declare("dojo.data.ItemFileReadStore", null,{
 	//	summary:
@@ -935,3 +931,4 @@
 });
 //Mix in the simple fetch implementation to this class.
 dojo.extend(dojo.data.ItemFileReadStore,dojo.data.util.simpleFetch);
+});

=== modified file 'data/ItemFileWriteStore.js'
--- data/ItemFileWriteStore.js	2009-10-07 19:32:22 +0000
+++ data/ItemFileWriteStore.js	2009-11-20 15:08:05 +0000
@@ -1,5 +1,4 @@
-dojo.provide("dojo.data.ItemFileWriteStore");
-dojo.require("dojo.data.ItemFileReadStore");
+dojo.module("dojo.data.ItemFileWriteStore", "dojo.data.ItemFileReadStore", function(){
 
 dojo.declare("dojo.data.ItemFileWriteStore", dojo.data.ItemFileReadStore, {
 	constructor: function(/* object */ keywordParameters){
@@ -804,3 +803,4 @@
 		 }
 	}
 });
+});

=== modified file 'data/api/Identity.js'
--- data/api/Identity.js	2009-10-07 19:32:22 +0000
+++ data/api/Identity.js	2009-11-20 15:08:05 +0000
@@ -1,5 +1,4 @@
-dojo.provide("dojo.data.api.Identity");
-dojo.require("dojo.data.api.Read");
+dojo.module("dojo.data.api.Identity", "dojo.data.api.Read", function(){
 
 dojo.declare("dojo.data.api.Identity", dojo.data.api.Read, {
 	//	summary:
@@ -101,3 +100,4 @@
 		}
 	}
 });
+});

=== modified file 'data/api/Notification.js'
--- data/api/Notification.js	2007-10-27 04:54:01 +0000
+++ data/api/Notification.js	2009-11-20 15:08:05 +0000
@@ -1,5 +1,4 @@
-dojo.provide("dojo.data.api.Notification");
-dojo.require("dojo.data.api.Read");
+dojo.module("dojo.data.api.Notification", "dojo.data.api.Read", function(){
 
 dojo.declare("dojo.data.api.Notification", dojo.data.api.Read, {
 	//	summary:
@@ -113,3 +112,4 @@
 		throw new Error('Unimplemented API: dojo.data.api.Notification.onDelete');
 	}
 });
+});

=== modified file 'data/api/Read.js'
--- data/api/Read.js	2009-10-07 19:32:22 +0000
+++ data/api/Read.js	2009-11-20 15:08:05 +0000
@@ -1,5 +1,4 @@
-dojo.provide("dojo.data.api.Read");
-dojo.require("dojo.data.api.Request");
+dojo.module("dojo.data.api.Read", "dojo.data.api.Request", function(){
 
 dojo.declare("dojo.data.api.Read", null, {
 	//	summary:
@@ -500,3 +499,4 @@
 		return null;
 	}
 });
+});

=== modified file 'data/api/Request.js'
--- data/api/Request.js	2007-08-09 20:42:47 +0000
+++ data/api/Request.js	2009-11-20 15:08:05 +0000
@@ -1,4 +1,4 @@
-dojo.provide("dojo.data.api.Request");
+dojo.module("dojo.data.api.Request", function(){
 
 dojo.declare("dojo.data.api.Request", null, {
 	//	summary:
@@ -26,3 +26,4 @@
 		throw new Error('Unimplemented API: dojo.data.api.Request.abort');
 	}
 });
+});

=== modified file 'data/api/Write.js'
--- data/api/Write.js	2007-10-27 04:54:01 +0000
+++ data/api/Write.js	2009-11-20 15:08:05 +0000
@@ -1,5 +1,4 @@
-dojo.provide("dojo.data.api.Write");
-dojo.require("dojo.data.api.Read");
+dojo.module("dojo.data.api.Write", "dojo.data.api.Read", function(){
 
 dojo.declare("dojo.data.api.Write", dojo.data.api.Read, {
 	//	summary:
@@ -220,3 +219,4 @@
 		return false; // boolean
 	}
 });
+});

=== modified file 'data/util/filter.js'
--- data/util/filter.js	2009-10-07 19:32:22 +0000
+++ data/util/filter.js	2009-11-20 15:08:05 +0000
@@ -1,4 +1,4 @@
-dojo.provide("dojo.data.util.filter");
+dojo.module("dojo.data.util.filter", function(){
 
 dojo.data.util.filter.patternToRegExp = function(/*String*/pattern, /*boolean?*/ ignoreCase){
 	//	summary:  
@@ -63,3 +63,4 @@
 	}
 	
 };
+});

=== modified file 'data/util/simpleFetch.js'
--- data/util/simpleFetch.js	2009-10-07 19:32:22 +0000
+++ data/util/simpleFetch.js	2009-11-20 15:08:05 +0000
@@ -1,5 +1,4 @@
-dojo.provide("dojo.data.util.simpleFetch");
-dojo.require("dojo.data.util.sorter");
+dojo.module("dojo.data.util.simpleFetch", "dojo.data.util.sorter", function(){
 
 dojo.data.util.simpleFetch.fetch = function(/* Object? */ request){
 	//	summary:
@@ -84,3 +83,4 @@
 	this._fetchItems(request, _fetchHandler, _errorHandler);
 	return request;	// Object
 };
+});

=== modified file 'data/util/sorter.js'
--- data/util/sorter.js	2009-10-07 19:32:22 +0000
+++ data/util/sorter.js	2009-11-20 15:08:05 +0000
@@ -1,4 +1,4 @@
-dojo.provide("dojo.data.util.sorter");
+dojo.module("dojo.data.util.sorter", function(){
 
 dojo.data.util.sorter.basicComparator = function(	/*anything*/ a, 
 													/*anything*/ b){
@@ -89,3 +89,4 @@
 		return 0; //int  
 	}; // Function
 };
+});

=== modified file 'date.js'
--- date.js	2009-04-13 03:13:47 +0000
+++ date.js	2009-11-20 15:08:05 +0000
@@ -1,12 +1,13 @@
-dojo.provide("dojo.date");
-
 /*=====
 dojo.date = {
 	// summary: Date manipulation utilities
 }
 =====*/
 
-dojo.date.getDaysInMonth = function(/*Date*/dateObject){
+dojo.module(
+	"dojo.date",
+	function(date){
+date.getDaysInMonth = function(/*Date*/dateObject){
 	//	summary:
 	//		Returns the number of days in the month used by dateObject
 	var month = dateObject.getMonth();
@@ -15,7 +16,7 @@
 	return days[month]; // Number
 }
 
-dojo.date.isLeapYear = function(/*Date*/dateObject){
+date.isLeapYear = function(/*Date*/dateObject){
 	//	summary:
 	//		Determines if the year of the dateObject is a leap year
 	//	description:
@@ -30,7 +31,7 @@
 }
 
 // FIXME: This is not localized
-dojo.date.getTimezoneName = function(/*Date*/dateObject){
+date.getTimezoneName = function(/*Date*/dateObject){
 	//	summary:
 	//		Get the user's time zone as provided by the browser
 	// dateObject:
@@ -76,7 +77,7 @@
 
 // Utility methods to do arithmetic calculations with Dates
 
-dojo.date.compare = function(/*Date*/date1, /*Date?*/date2, /*String?*/portion){
+date.compare = function(/*Date*/date1, /*Date?*/date2, /*String?*/portion){
 	//	summary:
 	//		Compare two date objects by date, time, or both.
 	//	description:
@@ -109,7 +110,7 @@
 	return 0; // int
 };
 
-dojo.date.add = function(/*Date*/date, /*String*/interval, /*int*/amount){
+date.add = function(/*Date*/date, /*String*/interval, /*int*/amount){
 	//	summary:
 	//		Add to a Date in intervals of different size, from milliseconds to years
 	//	date: Date
@@ -202,7 +203,7 @@
 	return sum; // Date
 };
 
-dojo.date.difference = function(/*Date*/date1, /*Date?*/date2, /*String?*/interval){
+date.difference = function(/*Date*/date1, /*Date?*/date2, /*String?*/interval){
 	//	summary:
 	//		Get the difference in a specific unit of time (e.g., number of
 	//		months, weeks, days, etc.) between two dates, rounded to the
@@ -336,3 +337,5 @@
 	// Round for fractional values and DST leaps
 	return Math.round(delta); // Number (integer)
 };
+	}
+);

=== modified file 'date/locale.js'
--- date/locale.js	2009-09-18 02:39:52 +0000
+++ date/locale.js	2009-11-20 15:08:05 +0000
@@ -1,13 +1,8 @@
-dojo.provide("dojo.date.locale");
+dojo.module("dojo.date.locale", ["dojo.date", "dojo.cldr.supplemental", "dojo.regexp", "dojo.string", "dojo.i18n"],
+function(){
 
 // Localization methods for Date.   Honor local customs using locale-dependent dojo.cldr data.
 
-dojo.require("dojo.date");
-dojo.require("dojo.cldr.supplemental");
-dojo.require("dojo.regexp");
-dojo.require("dojo.string");
-dojo.require("dojo.i18n");
-
 // Load the bundles containing localization information for
 // names and formats
 dojo.requireLocalization("dojo.cldr", "gregorian");
@@ -15,7 +10,6 @@
 //NOTE: Everything in this module assumes Gregorian calendars.
 // Other calendars will be implemented in separate modules.
 
-(function(){
 	// Format a pattern without literals
 	function formatPattern(dateObject, bundle, options, pattern){
 		return pattern.replace(/([a-z])\1*/ig, function(match){
@@ -570,9 +564,7 @@
 		return "(" + s + ")"; // add capture
 	}).replace(/[\xa0 ]/g, "[\\s\\xa0]"); // normalize whitespace.  Need explicit handling of \xa0 for IE.
 }
-})();
 
-(function(){
 var _customFormats = [];
 dojo.date.locale.addCustomFormats = function(/*String*/packageName, /*String*/bundleName){
 	// summary:
@@ -597,7 +589,6 @@
 	}, this);
 	return gregorian; /*Object*/
 };
-})();
 
 dojo.date.locale.addCustomFormats("dojo.cldr","gregorian");
 
@@ -661,3 +652,5 @@
 
 	return week; // Number
 };
+
+});

=== modified file 'date/stamp.js'
--- date/stamp.js	2009-10-06 01:39:07 +0000
+++ date/stamp.js	2009-11-20 15:08:05 +0000
@@ -1,8 +1,8 @@
-dojo.provide("dojo.date.stamp");
-
+dojo.module(
+	"dojo.date.stamp",
+	function(stamp){
 // Methods to convert dates to or from a wire (string) format using well-known conventions
-
-dojo.date.stamp.fromISOString = function(/*String*/formattedString, /*Number?*/defaultTime){
+stamp.fromISOString = function(/*String*/formattedString, /*Number?*/defaultTime){
 	//	summary:
 	//		Returns a Date object given a string formatted according to a subset of the ISO-8601 standard.
 	//
@@ -28,7 +28,7 @@
 	// 		by the Date constructor (e.g. January 32nd typically gets resolved to February 1st)
 	//		Only years between 100 and 9999 are supported.
 	//
-  	//	formattedString:
+	//	formattedString:
 	//		A string such as 2005-06-30T08:05:00-07:00 or 2005-06-30 or T08:05:00
 	//
 	//	defaultTime:
@@ -97,7 +97,7 @@
 	}
 =====*/
 
-dojo.date.stamp.toISOString = function(/*Date*/dateObject, /*dojo.date.stamp.__Options?*/options){
+stamp.toISOString = function(/*Date*/dateObject, /*dojo.date.stamp.__Options?*/options){
 	//	summary:
 	//		Format a Date object as a string according a subset of the ISO-8601 standard
 	//
@@ -137,3 +137,5 @@
 	}
 	return formattedDate.join('T'); // String
 }
+	}
+);

=== modified file 'dnd/Avatar.js'
--- dnd/Avatar.js	2009-06-15 03:40:58 +0000
+++ dnd/Avatar.js	2009-11-20 15:08:05 +0000
@@ -1,6 +1,7 @@
-dojo.provide("dojo.dnd.Avatar");
-
-dojo.require("dojo.dnd.common");
+dojo.module(
+	"dojo.dnd.Avatar",
+	"dojo.dnd.common",
+	function(){
 
 dojo.declare("dojo.dnd.Avatar", null, {
 	// summary:
@@ -103,3 +104,5 @@
 		return this.manager.nodes.length.toString();
 	}
 });
+	}
+);

=== modified file 'dnd/Container.js'
--- dnd/Container.js	2009-08-10 05:12:41 +0000
+++ dnd/Container.js	2009-11-20 15:08:05 +0000
@@ -1,7 +1,7 @@
-dojo.provide("dojo.dnd.Container");
-
-dojo.require("dojo.dnd.common");
-dojo.require("dojo.parser");
+dojo.module(
+	"dojo.dnd.Container",
+	["dojo.dnd.common", "dojo.parser"],
+	function(){
 
 /*
 	Container states:
@@ -424,3 +424,5 @@
 		return {node: n, data: data, type: type};
 	};
 };
+	}
+);

=== modified file 'dnd/Manager.js'
--- dnd/Manager.js	2009-06-15 03:40:58 +0000
+++ dnd/Manager.js	2009-11-20 15:08:05 +0000
@@ -1,9 +1,7 @@
-dojo.provide("dojo.dnd.Manager");
-
-dojo.require("dojo.dnd.common");
-dojo.require("dojo.dnd.autoscroll");
-dojo.require("dojo.dnd.Avatar");
-
+dojo.module(
+	"dojo.dnd.Manager",
+	["dojo.dnd.common", "dojo.dnd.autoscroll", "dojo.dnd.Avatar"],
+	function(){
 dojo.declare("dojo.dnd.Manager", null, {
 	// summary:
 	//		the manager of DnD operations (usually a singleton)
@@ -207,3 +205,6 @@
 	}
 	return dojo.dnd._manager;	// Object
 };
+
+	}
+);

=== modified file 'dnd/Moveable.js'
--- dnd/Moveable.js	2009-06-15 03:40:58 +0000
+++ dnd/Moveable.js	2009-11-20 15:08:05 +0000
@@ -1,6 +1,6 @@
-dojo.provide("dojo.dnd.Moveable");
-
-dojo.require("dojo.dnd.Mover");
+dojo.module("dojo.dnd.Moveable",
+	"dojo.dnd.Mover",
+	function(){
 
 /*=====
 dojo.declare("dojo.dnd.__MoveableArgs", [], {
@@ -165,3 +165,5 @@
 		// default implementation does nothing
 	}
 });
+	}
+);

=== modified file 'dnd/Mover.js'
--- dnd/Mover.js	2009-06-15 03:40:58 +0000
+++ dnd/Mover.js	2009-11-20 15:08:05 +0000
@@ -1,7 +1,7 @@
-dojo.provide("dojo.dnd.Mover");
+dojo.module("dojo.dnd.Mover",
 
-dojo.require("dojo.dnd.common");
-dojo.require("dojo.dnd.autoscroll");
+["dojo.dnd.common","dojo.dnd.autoscroll"],
+function(){
 
 dojo.declare("dojo.dnd.Mover", null, {
 	constructor: function(node, e, host){
@@ -104,3 +104,4 @@
 		this.events = this.node = this.host = null;
 	}
 });
+});

=== modified file 'dnd/Selector.js'
--- dnd/Selector.js	2009-08-10 01:16:09 +0000
+++ dnd/Selector.js	2009-11-20 15:08:05 +0000
@@ -1,7 +1,8 @@
-dojo.provide("dojo.dnd.Selector");
+dojo.module("dojo.dnd.Selector",
 
-dojo.require("dojo.dnd.common");
-dojo.require("dojo.dnd.Container");
+["dojo.dnd.common",
+"dojo.dnd.Container"],
+function(){
 
 /*
 	Container item states:
@@ -323,3 +324,4 @@
 		return this;	// self
 	}
 });
+});

=== modified file 'dnd/Source.js'
--- dnd/Source.js	2009-08-04 17:31:32 +0000
+++ dnd/Source.js	2009-11-20 15:08:05 +0000
@@ -1,7 +1,8 @@
-dojo.provide("dojo.dnd.Source");
+dojo.module("dojo.dnd.Source",
 
-dojo.require("dojo.dnd.Selector");
-dojo.require("dojo.dnd.Manager");
+["dojo.dnd.Selector",
+"dojo.dnd.Manager"],
+function(){
 
 /*
 	Container property:
@@ -535,3 +536,4 @@
 		return new dojo.dnd.AutoSource(node, params);
 	}
 });
+});

=== modified file 'dnd/TimedMoveable.js'
--- dnd/TimedMoveable.js	2009-06-15 03:40:58 +0000
+++ dnd/TimedMoveable.js	2009-11-20 15:08:05 +0000
@@ -1,6 +1,6 @@
-dojo.provide("dojo.dnd.TimedMoveable");
+dojo.module("dojo.dnd.TimedMoveable",
 
-dojo.require("dojo.dnd.Moveable");
+"dojo.dnd.Moveable",
 
 /*=====
 dojo.declare("dojo.dnd.__TimedMoveableArgs", [dojo.dnd.__MoveableArgs], {
@@ -11,7 +11,7 @@
 });
 =====*/
 
-(function(){
+function(){
 	// precalculate long expressions
 	var oldOnMove = dojo.dnd.Moveable.prototype.onMove;
 		
@@ -67,4 +67,4 @@
 			}
 		}
 	});
-})();
+});

=== modified file 'dnd/autoscroll.js'
--- dnd/autoscroll.js	2009-08-04 17:31:32 +0000
+++ dnd/autoscroll.js	2009-11-20 15:08:05 +0000
@@ -1,4 +1,6 @@
-dojo.provide("dojo.dnd.autoscroll");
+dojo.module(
+	"dojo.dnd.autoscroll",
+	function(){
 
 dojo.dnd.getViewport = function(){
 	// summary:
@@ -103,3 +105,5 @@
 	}
 	dojo.dnd.autoScroll(e);
 };
+	}
+);

=== modified file 'dnd/common.js'
--- dnd/common.js	2009-06-15 03:40:58 +0000
+++ dnd/common.js	2009-11-20 15:08:05 +0000
@@ -1,5 +1,6 @@
-dojo.provide("dojo.dnd.common");
-
+dojo.module(
+	"dojo.dnd.common",
+	function(){
 dojo.dnd._uniqueId = 0;
 dojo.dnd.getUniqueId = function(){
 	// summary:
@@ -22,3 +23,5 @@
 	}
 	return " button textarea input select option ".indexOf(" " + t.tagName.toLowerCase() + " ") >= 0;	// Boolean
 };
+	}
+);

=== modified file 'dnd/move.js'
--- dnd/move.js	2009-06-15 03:40:58 +0000
+++ dnd/move.js	2009-11-20 15:08:05 +0000
@@ -1,7 +1,7 @@
-dojo.provide("dojo.dnd.move");
-
-dojo.require("dojo.dnd.Mover");
-dojo.require("dojo.dnd.Moveable");
+dojo.module("dojo.dnd.move",
+["dojo.dnd.Mover",
+"dojo.dnd.Moveable"],
+function(){
 
 /*=====
 dojo.declare("dojo.dnd.move.__constrainedMoveableArgs", [dojo.dnd.__MoveableArgs], {
@@ -241,3 +241,4 @@
 dojo.dnd.constrainedMover = dojo.dnd.move.constrainedMover;
 dojo.dnd.boxConstrainedMover = dojo.dnd.move.boxConstrainedMover;
 dojo.dnd.parentConstrainedMover = dojo.dnd.move.parentConstrainedMover;
+});

=== modified file 'dojo.js'
--- dojo.js	2008-12-12 20:25:55 +0000
+++ dojo.js	2009-11-20 15:08:05 +0000
@@ -46,6 +46,8 @@
 //		Regards,
 //		The Dojo Team
 
+var dojo, djConfig;
+
 if(typeof dojo == "undefined"){
 	// only try to load Dojo if we don't already have one. Dojo always follows
 	// a "first Dojo wins" policy.
@@ -196,6 +198,7 @@
 			script.src = src;
 			lastRoot = script;
 		}
+
 		for(var x=0; x < tmps.length; x++){
 			if(isRhino || isSpidermonkey || (this.Jaxer && this.Jaxer.isOnServer)){
 				load(tmps[x]);

=== modified file 'fx.js'
--- fx.js	2009-10-13 14:05:11 +0000
+++ fx.js	2009-11-20 15:08:05 +0000
@@ -1,12 +1,12 @@
-dojo.provide("dojo.fx");
-dojo.require("dojo.fx.Toggler"); // FIXME: remove this back-compat require in 2.0 
 /*=====
 dojo.fx = {
 	// summary: Effects library on top of Base animations
 };
 =====*/
-(function(){
-	
+dojo.module(
+	"dojo.fx",
+	"dojo.fx.Toggler", // FIXME: remove this back-compat require in 2.0 
+	function(){
 	var d = dojo, 
 		_baseObj = {
 			_fire: function(evt, args){
@@ -390,4 +390,5 @@
 		return anim; // dojo.Animation
 	}
 
-})();
\ No newline at end of file
+	}
+);

=== modified file 'fx/Toggler.js'
--- fx/Toggler.js	2009-09-18 12:51:01 +0000
+++ fx/Toggler.js	2009-11-20 15:08:05 +0000
@@ -1,5 +1,6 @@
-dojo.provide("dojo.fx.Toggler");
-
+dojo.module(
+	"dojo.fx.Toggler",
+	function(){
 dojo.declare("dojo.fx.Toggler", null, {
 	// summary:
 	//		A simple `dojo.Animation` toggler API.
@@ -94,3 +95,5 @@
 		return this.hideAnim.play(delay || 0);
 	}
 });
+	}
+);

=== modified file 'fx/easing.js'
--- fx/easing.js	2009-04-07 22:22:23 +0000
+++ fx/easing.js	2009-11-20 15:08:05 +0000
@@ -1,4 +1,4 @@
-dojo.provide("dojo.fx.easing");
+dojo.module("dojo.fx.easing", function(){
 
 dojo.fx.easing = {
 	// summary: 
@@ -273,3 +273,4 @@
 		return (dojo.fx.easing.bounceOut(n * 2 - 1) / 2) + 0.5; // Decimal
 	}
 };
+});

